clear
set memory 20m
set matsize 200
use pork_panel.dta

* Define variables for use in regressions

gen lpop_2005=log(population_2005)
label variable lpop_2005 "Log of population, 2005"
gen hwydensity=open_total_total/land_area_km2
label variable hwydensity "Open highway miles / land area in km2"
gen lpork_per_cap=log(earmarks_value/population_2005)
label variable lpork_per_cap "Pork per capita in the 2005 House or Conference version"

gen lspi2004=log(spi2004)
label variable lspi2004 "Log state personal income per capita, 2004"
gen senrep1=(senator_1_party=="R")
gen senrep2=(senator_2_party=="R")
gen senrep=senrep1+senrep2
label variable senrep "Number of Republican Senators (109th Congress)"
drop senrep1 senrep2
gen llandarea=log(land_area_km2)
label variable llandarea "Log of Land Area, km2"
gen housetransshare=housetrans/numreps
label variable housetransshare "Share of State Representatives on House Transportation Committee"
gen houseconfshare=houseconf/numreps
label variable houseconfshare "Share of State Representatives on Conference Committee"

* Run regressions - Panel Diffs Specification

gen interlpop=lpop_2005*conference_dummy
regress lpork_per_cap lpop_2005 interlpop conference_dummy, robust
outreg using Table_panel.doc, adjr2 bdec(3) se replace
#delimit ;
regress lpork_per_cap lpop_2005 interlpop conference_dummy lspi2004 hwydensity llandarea 
house_republican senrep housetransshare houseconfshare senateconf, robust;
#delimit cr
outreg using Table_panel.doc, adjr2 bdec(3) se append
